---
lang: en
title: 'API docs: context.resolutionaction'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionaction.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionAction](./context.resolutionaction.md)

## ResolutionAction type

A function to be executed with the resolution session

**Signature:**

```typescript
export type ResolutionAction = (session: ResolutionSession) => ValueOrPromise<BoundValue>;
```
**References:** [ResolutionSession](./context.resolutionsession.md)<!-- -->, [ValueOrPromise](./context.valueorpromise.md)<!-- -->, [BoundValue](./context.boundvalue.md)


